Skip to main content
POST
/
v2
/
runs
/
{run_id}
/
human-requests
/
{request_id}
/
respond
Respond To Human Request
curl --request POST \
  --url https://api.duvo.ai/v2/runs/{run_id}/human-requests/{request_id}/respond \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "answers": {},
  "approved": true
}
'
{
  "human_request": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "description": "<string>",
    "response": "<string>",
    "responded_at": "<string>",
    "created_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

run_id
string<uuid>
required

The run's unique identifier

request_id
string<uuid>
required

The human request's unique identifier

Body

application/json
answers
object

For question-type requests: a map of question text to answer. Multi-select answers should be comma-separated.

approved
boolean

For approval-type requests: true to approve, false to deny

Response

Default Response

human_request
object
required